<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$rand = mt_rand(100, 999);

echo '<img src="../images/img/partners.gif" alt=""> <b>Кости</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

if(!isset($action)){

echo'<img src="../images/kosti/6.gif" alt="">  и <img src="../images/kosti/6.gif" alt="">.<br><br>';

echo '<b><a href="kosti.php?action=go&amp;rand='.$rand.'&amp;'.SID.'">Играть</a></b><br><br>';

echo'У вас в наличии: '.moneys($udata[41]).'<br>';
}

//--------------------- Результат --------------------------------//
if($action=="go"){

if($udata[41]>=5){

$num1 = mt_rand(2, 6);
$num2 = mt_rand(1, 6);
$num3 = mt_rand(1, 6);
$num4 = mt_rand(1, 5);


echo'У банкира  выпало: <br>';
echo'<img src="../images/kosti/'.$num1.'.gif" alt="">  и <img src="../images/kosti/'.$num2.'.gif" alt="">.<br><br>';

echo'У вас выпало: <br>';
echo'<img src="../images/kosti/'.$num3.'.gif" alt="">  и <img src="../images/kosti/'.$num4.'.gif" alt="">.<br><br>';


$num_bank=$num1+$num2;
$num_user=$num3+$num4;

//------------------------------ Банкир выиграл ----------------------------//

if($num_bank>$num_user){
//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=$udata[41]-5;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}
echo'<b>Банкир выиграл!</b>';}


//------------------------------ Вы выиграли ----------------------------//

if($num_bank<$num_user){
//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=$udata[41]+10;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}	

echo'<b>Вы выиграли!</b>';}


if($num_bank==$num_user){echo'<b>Ничья!</b>';}

echo '<br><br><b><a href="kosti.php?action=go&amp;rand='.$rand.'&amp;'.SID.'">Играть</a></b><br><br>';
echo 'У вас в наличии: '.moneys($udata[41]).'<br>';
/////////////////////////

sleep(1); //задержка 1 сек
}else{echo'Вы не можете играть т.к. на вашем счете недостаточно средств<br>';}
}

if($action=="faq"){
	
echo 'Для участия в игре нажмите "Играть"<br>';
echo 'За каждый проигрыш у вас будут списывать по '.moneys(5).'<br>';	
echo 'За каждый выигрыш вы получите '.moneys(10).'<br>';	
echo 'Шанс банкира на выигрыш немного больше, чем у вас<br>';	
echo 'Итак дерзайте!<br>';
	
echo '<br><img src="../images/img/back.gif" alt=""> <a href="kosti.php?'.SID.'">Вернуться</a>'; 	
}
}else{
echo '<br>Вы не авторизованы, чтобы начать игру, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

echo '<br><img src="../images/img/faq.gif" alt=""> <a href="kosti.php?action=faq&amp;'.SID.'">Правила</a><br>';
echo '<img src="../images/img/games.gif" alt=""> <a href="../pages/index.php?action=arkada&amp;'.SID.'">Развлечения</a><br>'; 
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once "../themes/$config_themes/foot.php";
?>